﻿This mod adds my hammer into the game with which new building pieces are available!
The hammer can also be disabled in the config. To make this take effect, however, the game must be restarted!

- Big thanks to [azumatt](https://www.nexusmods.com/users/111879873) ﻿for his templates and his support in the Discord channel!
- A big thanks to [BentoG](https://valheim.thunderstore.io/package/BentoG/) ﻿for his meshes from his [MissingPieces](https://valheim.thunderstore.io/package/BentoG/MissingPieces/) ﻿mod :D

## New building pieces:
- Extensions to the vanilla building pieces
- A roof made of leaves (Inspired by this [texture mod](https://www.nexusmods.com/valheim/mods/1590?tab=description))
- Building pieces from "branches"
- Very simple pier (Modular)
- 2 new Stonetypes (Sandstone and Darkstone) as building pieces
- New furniture

# Changelog
- 0.2.4
Many new pieces, including new signs, new lamps, stairs etc.
- 0.2.3
New stone chest and bug fixes!
Prefabs have been renamed, all buildings already placed are thus invalid...
- 0.2.2
New stone and branch components, new Branch Chest!
- 0.2.1
New "Branch" pieces, flat roofs have been adjusted, "destruction" animations should now fit, building effect has been adjusted
- 0.2.0
New Feature (Custom Hammer deactivable), Flat roofs now count as "roofs, snappoints adjusted
- 0.1.2
Adds new pieces for the thatch and leaf roofs
- 0.1.1
Texture change, snappoints adjusted, Vulkan compatibility established
- 0.1.0
Initial Release

# Mods which complement my mod:
- [MissingPieces](https://valheim.thunderstore.io/package/BentoG/MissingPieces/)

## Prefabs:
Items:
```
// Tools
MS_hammer
// Material
MS_leaf
```

Plants:
```
// Pickable
MS_Pickable_Leafs
```

Branch Pieces:
```
// Floor
MS_branch_floor;
MS_branch_floor_1x1;
// Stair
MS_branch_stair;
MS_branch_stair_half;
MS_branch_stair_half_45;
MS_branch_stair_round_left;
MS_branch_stair_round_right;
MS_branch_stair_round_connector;
// Wall
MS_branch_wall;
MS_branch_wall_1x1;
MS_branch_wall_1x2;
MS_branch_wall_2x1;
MS_branch_wall_roof;
MS_branch_wall_roof_upsidedown;
MS_branch_wall_roof_45;
MS_branch_wall_roof_45_upsidedown;
// Roof
// Pillar
// Misc
// Beam
MS_branch_beam_1m;
MS_branch_beam_2m;
MS_branch_beam_1m_alt;
MS_branch_beam_2m_alt;
MS_branch_beam_26;
MS_branch_beam_45;
// Window
// Door/Window (Animated)
MS_branch_door;
MS_branch_door_alt;
MS_branch_gate;
MS_branch_gate_alt;
```

Leaf Pieces
```
// Floor
// Stair
// Wall
// Roof
MS_leaf_roof_flat;
MS_leaf_roof_flat_1x1;
MS_leaf_roof;
MS_leaf_roof_45;
MS_leaf_roof_1x1;
MS_leaf_roof_45_1x1;
MS_leaf_roof_left_tilted;
MS_leaf_roof_right_tilted;
MS_leaf_roof_45_left_tilted;
MS_leaf_roof_45_right_tilted;
MS_leaf_roof_top;
MS_leaf_roof_top_45;
MS_leaf_roof_ocorner;
MS_leaf_roof_ocorner_45;
MS_leaf_roof_icorner;
MS_leaf_roof_icorner_45;
// Pillar
// Misc
// Beam
// Window
// Door/Window (Animated)
```

Wood Pieces
```
// Floor
// Stair
MS_wood_stair_round_left;
MS_wood_stair_round_right;
MS_wood_stair_round_connector;
// Wall
// Roof
// Pillar
// Misc
// Beam
// Window
// Door/Window (Animated)
```

Pier Pieces
```
// Floor
MS_pier_foundation_1m;
MS_pier_foundation_2m;
MS_pier_foundation_3m;
MS_pier_foundation_4m;
MS_pier_floor;
MS_pier_floor_2;
// Stair
// Wall
// Roof
// Pillar
// Misc
// Beam
// Window
// Door/Window (Animated)
```

Straw Pieces
```
// Floor
// Stair
// Wall
// Roof
MS_straw_roof_flat;
MS_straw_roof_flat_1x1;
MS_straw_roof_1x1;
MS_straw_roof_45_1x1;
// Pillar
// Misc
// Beam
// Window
// Door/Window (Animated)
```

Stone Pieces
```
// Floor
MS_stone_floor;
MS_stone_floor_1x1;
// Stair
MS_stone_stair_half;
MS_stone_stair_high;
MS_stone_stair_round_left;
MS_stone_stair_round_right;
MS_stone_stair_round_connector;
// Wall
MS_stone_wall_26_triangular_usd;
MS_stone_wall_45_triangular_usd;
// Roof
// Pillar
MS_stone_pillar_big;
MS_stone_pillar_round;
MS_stone_pillar_round_big;
// Misc
// Beam
// Window
MS_stone_window_small;
MS_stone_window_big;
```

Redstone Pieces
```
// Floor
MS_redstone_foundation;
MS_redstone_foundation_1x1;
MS_redstone_floor;
MS_redstone_floor_1x1;
// Stair
MS_redstone_stair;
MS_redstone_stair_half;
MS_redstone_stair_high;
MS_redstone_stair_corner;
MS_redstone_stair_round_left;
MS_redstone_stair_round_right;
MS_redstone_stair_round_connector;
// Wall
MS_redstone_wall_1x1;
MS_redstone_wall_2x1;
MS_redstone_wall_4x2;
MS_redstone_wall_26_triangular;
MS_redstone_wall_26_triangular_usd;
MS_redstone_wall_45_triangular;
MS_redstone_wall_45_triangular_usd;
// Roof
// Pillar
MS_redstone_pillar;
MS_redstone_pillar_big;
MS_redstone_pillar_round;
MS_redstone_pillar_round_big;
// Misc
MS_redstone_arch;
// Beam
MS_redstone_beam_1m;
MS_redstone_beam_2m;
MS_redstone_beam_1m_alt;
MS_redstone_beam_2m_alt;
MS_redstone_beam_26;
MS_redstone_beam_45;
// Window
MS_redstone_window_small;
MS_redstone_window_big;
// Door/Window (Animated)
```

Darkstone Pieces
```
// Floor
MS_darkstone_foundation;
MS_darkstone_foundation_1x1;
MS_darkstone_floor;
MS_darkstone_floor_1x1;
// Stair
MS_darkstone_stair;
MS_darkstone_stair_half;
MS_darkstone_stair_high;
MS_darkstone_stair_corner;
MS_darkstone_stair_round_left;
MS_darkstone_stair_round_right;
MS_darkstone_stair_round_connector;
// Wall
MS_darkstone_wall_1x1;
MS_darkstone_wall_2x1;
MS_darkstone_wall_4x2;
MS_darkstone_wall_26_triangular;
MS_darkstone_wall_26_triangular_usd;
MS_darkstone_wall_45_triangular;
MS_darkstone_wall_45_triangular_usd;
// Roof
// Pillar
MS_darkstone_pillar;
MS_darkstone_pillar_big;
MS_darkstone_pillar_round;
MS_darkstone_pillar_round_big;
// Misc
MS_darkstone_arch;
// Beam
MS_darkstone_beam_1m;
MS_darkstone_beam_2m;
MS_darkstone_beam_1m_alt;
MS_darkstone_beam_2m_alt;
MS_darkstone_beam_26;
MS_darkstone_beam_45;
// Window
MS_darkstone_window_small;
MS_darkstone_window_big;
// Door/Window (Animated)
```

Misc Pieces
```
// Water
MS_well;
// Fireplace      
```

Crafting Pieces
```
// Station
// Extension
```

Decor Pieces
```
// Container
MS_piece_chest_branch;
MS_piece_chest_redstone;
// Chair
MS_piece_throne_copper;
// Sign
MS_sign_left;
MS_sign_right;
MS_sign_01;
MS_sign_02;
// Decor
MS_washing_line;
// Light
MS_Lamp_Post_01;
MS_Lamp_Post_02;
MS_Lamp_Post_03;
```

## Languages that are currently integrated:
- English
- German

## Installation:
Paste the file "MrSerji_Construction.dll" into the following path:
#### Steam:
Steam\steamapps\common\Valheim\BepInEx\plugins

## Mod activation:
Automatically.
The hammer can be made at the workbench and this directly at the start of the game.

## Known Issues:
- /

## Compatibility:
- Not compatible with "[Project AUGA](https://valheim.thunderstore.io/package/RandyKnapp/Auga/)", unless it is possible to use more than 91 components with it.

# Preview Image
![SomeNewStuffVer0.2.4](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1657041463-1553710255.png)
![Sandstone_Inside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1655053045-113562132.png)
![Branch_Inside](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654972211-1411002499.png)
![Meadows](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654517682-961601290.png)
![Mountain](https://staticdelivery.nexusmods.com/mods/3667/images/1911/1911-1654517688-77648810.png)

# Models used
- [Stylized Wood Signs by Fis9000](https://sketchfab.com/3d-models/stylized-wood-signs-8175c5f7b47b4a0abb1c48b0da848654);
- [Stylized Light Post by Fis9000](https://sketchfab.com/3d-models/stylized-light-post-f8ea07f5f3234f5cbb21c2beb0eae774);
- [Trone Lowpoly by ViktorianWios](https://sketchfab.com/3d-models/trone-lowpoly-fdb06a9e3dc24098a0202fe02991a9e8);
- [Plants Asset Set by Em Mashall](https://sketchfab.com/3d-models/plants-asset-set-2edf52774f4d4cde8d8c3a19b8dda205);
- [Washing Line by Selax](https://sketchfab.com/3d-models/washing-line-45d354e0bfdd42f9af00cd5cd0cb2ffa)
